# GstGLContextConfig

A common list of well-known values for what a config retrievable from or set on a `GstGLContext` may contain.

## Functions

### gst_gl_config_caveat_to_string

    const gchar *
    gst_gl_config_caveat_to_string (GstGLConfigCaveat caveat)

Parameters:

`caveat` –

the GstGLConfigCaveat

Returns ( [nullable]) –

a string version of caveat or NULL if caveat does not exist.

Since : 1.20

### GstGL.prototype.gl_config_caveat_to_string

    function GstGL.prototype.gl_config_caveat_to_string(caveat: GstGL.GLConfigCaveat): {
        // javascript wrapper for 'gst_gl_config_caveat_to_string'
    }

Parameters:

`caveat` (GstGL.GLConfigCaveat) –

the GstGL.GLConfigCaveat

Returns (String) –

a string version of caveat or null if caveat does not exist.

Since : 1.20

### GstGL.gl_config_caveat_to_string

    def GstGL.gl_config_caveat_to_string (caveat):
        #python wrapper for 'gst_gl_config_caveat_to_string'

Parameters:

`caveat` (GstGL.GLConfigCaveat) –

the GstGL.GLConfigCaveat

Returns (str) –

a string version of caveat or None if caveat does not exist.

Since : 1.20

### gst_gl_config_surface_type_to_string

    const gchar *
    gst_gl_config_surface_type_to_string (GstGLConfigSurfaceType surface_type)

Parameters:

`surface_type` –

the GstGLConfigSurfaceType

Returns ( [nullable]) –

a string version of caveat or NULL if surface_type does not exist.

Since : 1.20

### GstGL.prototype.gl_config_surface_type_to_string

    function GstGL.prototype.gl_config_surface_type_to_string(surface_type: GstGL.GLConfigSurfaceType): {
        // javascript wrapper for 'gst_gl_config_surface_type_to_string'
    }

Parameters:

`surface_type` (GstGL.GLConfigSurfaceType) –

the GstGL.GLConfigSurfaceType

Returns (String) –

a string version of caveat or null if surface_type does not exist.

Since : 1.20

### GstGL.gl_config_surface_type_to_string

    def GstGL.gl_config_surface_type_to_string (surface_type):
        #python wrapper for 'gst_gl_config_surface_type_to_string'

Parameters:

`surface_type` (GstGL.GLConfigSurfaceType) –

the GstGL.GLConfigSurfaceType

Returns (str) –

a string version of caveat or None if surface_type does not exist.

Since : 1.20

## Function Macros

### GST_GL_CONFIG_ATTRIB_GTYPE

    #define GST_GL_CONFIG_ATTRIB_GTYPE(UPPER_NAME) \
      G_PASTE(G_PASTE(GST_GL_CONFIG_ATTRIB_,UPPER_NAME),_GTYPE)

Get a reference to the GType of a particular configuration field.

e.g. for `CONFIG_ID`: `GST_GL_CONFIG_ATTRIB_GTYPE (CONFIG_ID)`

Since : 1.20

### GST_GL_CONFIG_ATTRIB_NAME

    #define GST_GL_CONFIG_ATTRIB_NAME(UPPER_NAME) \
      G_PASTE(G_PASTE(GST_GL_CONFIG_ATTRIB_,UPPER_NAME),_NAME)

Get a reference to the variable name of a particular configuration field.

e.g. for `CONFIG_ID`: `GST_GL_CONFIG_ATTRIB_NAME (CONFIG_ID)`

Since : 1.20

### GST_GL_CONFIG_STRUCTURE_SET_ARGS

    #define GST_GL_CONFIG_STRUCTURE_SET_ARGS(def_name,ctype,val) \
        GST_GL_CONFIG_ATTRIB_NAME(def_name), \
        GST_GL_CONFIG_ATTRIB_GTYPE(def_name), \
        (ctype) (val)

Since : 1.20

## Enumerations

### GstGLConfigCaveat

##### Members

`GST_GL_CONFIG_CAVEAT_NONE` (0) –

none

`GST_GL_CONFIG_CAVEAT_SLOW` (1) –

slow

`GST_GL_CONFIG_CAVEAT_NON_CONFORMANT` (2) –

non-conformant

Since : 1.20

### GstGL.GLConfigCaveat

##### Members

`GstGL.GLConfigCaveat.NONE` (0) –

none

`GstGL.GLConfigCaveat.SLOW` (1) –

slow

`GstGL.GLConfigCaveat.NON_CONFORMANT` (2) –

non-conformant

Since : 1.20

### GstGL.GLConfigCaveat

##### Members

`GstGL.GLConfigCaveat.NONE` (0) –

none

`GstGL.GLConfigCaveat.SLOW` (1) –

slow

`GstGL.GLConfigCaveat.NON_CONFORMANT` (2) –

non-conformant

Since : 1.20

### GstGLConfigSurfaceType

##### Members

`GST_GL_CONFIG_SURFACE_TYPE_NONE` (0) –

none

`GST_GL_CONFIG_SURFACE_TYPE_WINDOW` (1) –

window

`GST_GL_CONFIG_SURFACE_TYPE_PBUFFER` (2) –

pbuffer

`GST_GL_CONFIG_SURFACE_TYPE_PIXMAP` (4) –

pixmap

Since : 1.20

### GstGL.GLConfigSurfaceType

##### Members

`GstGL.GLConfigSurfaceType.NONE` (0) –

none

`GstGL.GLConfigSurfaceType.WINDOW` (1) –

window

`GstGL.GLConfigSurfaceType.PBUFFER` (2) –

pbuffer

`GstGL.GLConfigSurfaceType.PIXMAP` (4) –

pixmap

Since : 1.20

### GstGL.GLConfigSurfaceType

##### Members

`GstGL.GLConfigSurfaceType.NONE` (0) –

none

`GstGL.GLConfigSurfaceType.WINDOW` (1) –

window

`GstGL.GLConfigSurfaceType.PBUFFER` (2) –

pbuffer

`GstGL.GLConfigSurfaceType.PIXMAP` (4) –

pixmap

Since : 1.20

## Constants

### GST_GL_CONFIG_ATTRIB_ALPHA_SIZE_GTYPE

    #define GST_GL_CONFIG_ATTRIB_ALPHA_SIZE_GTYPE G_TYPE_INT

The GType of the 'alpha-size' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_BLUE_SIZE_GTYPE

    #define GST_GL_CONFIG_ATTRIB_BLUE_SIZE_GTYPE G_TYPE_INT

The GType of the 'blue-size' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_CAVEAT_GTYPE

    #define GST_GL_CONFIG_ATTRIB_CAVEAT_GTYPE GST_TYPE_GL_CONFIG_CAVEAT

The GType of the 'caveat' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_CONFIG_ID_GTYPE

    #define GST_GL_CONFIG_ATTRIB_CONFIG_ID_GTYPE G_TYPE_UINT

The GType of the config-id field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_CONFORMANT_API_GTYPE

    #define GST_GL_CONFIG_ATTRIB_CONFORMANT_API_GTYPE GST_TYPE_GL_API

The GType of the 'conformant-api' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_DEPTH_SIZE_GTYPE

    #define GST_GL_CONFIG_ATTRIB_DEPTH_SIZE_GTYPE G_TYPE_INT

The GType of the 'depth-size' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_GREEN_SIZE_GTYPE

    #define GST_GL_CONFIG_ATTRIB_GREEN_SIZE_GTYPE G_TYPE_INT

The GType of the 'green-size' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_LEVEL_GTYPE

    #define GST_GL_CONFIG_ATTRIB_LEVEL_GTYPE G_TYPE_INT

The GType of the 'level' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_LUMINANCE_SIZE_GTYPE

    #define GST_GL_CONFIG_ATTRIB_LUMINANCE_SIZE_GTYPE G_TYPE_INT

The GType of the 'luminance-size' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_MAX_PBUFFER_HEIGHT_GTYPE

    #define GST_GL_CONFIG_ATTRIB_MAX_PBUFFER_HEIGHT_GTYPE G_TYPE_INT

The GType of the 'max-pbuffer-height' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_MAX_PBUFFER_PIXELS_GTYPE

    #define GST_GL_CONFIG_ATTRIB_MAX_PBUFFER_PIXELS_GTYPE G_TYPE_INT

The GType of the 'max-pbuffer-pixels' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_MAX_PBUFFER_WIDTH_GTYPE

    #define GST_GL_CONFIG_ATTRIB_MAX_PBUFFER_WIDTH_GTYPE G_TYPE_INT

The GType of the 'max-pbuffer-width' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_MAX_SWAP_INTERVAL_GTYPE

    #define GST_GL_CONFIG_ATTRIB_MAX_SWAP_INTERVAL_GTYPE G_TYPE_INT

The GType of the 'max-swap-interval' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_MIN_SWAP_INTERVAL_GTYPE

    #define GST_GL_CONFIG_ATTRIB_MIN_SWAP_INTERVAL_GTYPE G_TYPE_INT

The GType of the 'min-swap-interval' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_NATIVE_RENDERABLE_GTYPE

    #define GST_GL_CONFIG_ATTRIB_NATIVE_RENDERABLE_GTYPE G_TYPE_BOOLEAN

The GType of the 'native-renderable' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_NATIVE_VISUAL_ID_GTYPE

    #define GST_GL_CONFIG_ATTRIB_NATIVE_VISUAL_ID_GTYPE G_TYPE_UINT

The GType of the 'native-visual-id' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_PLATFORM_GTYPE

    #define GST_GL_CONFIG_ATTRIB_PLATFORM_GTYPE GST_TYPE_GL_PLATFORM

The GType of the 'platform' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_RED_SIZE_GTYPE

    #define GST_GL_CONFIG_ATTRIB_RED_SIZE_GTYPE G_TYPE_INT

The GType of the 'red-size' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_RENDERABLE_API_GTYPE

    #define GST_GL_CONFIG_ATTRIB_RENDERABLE_API_GTYPE GST_TYPE_GL_API

The GType of the 'renderable-api' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_SAMPLES_GTYPE

    #define GST_GL_CONFIG_ATTRIB_SAMPLES_GTYPE G_TYPE_INT

The GType of the 'samples' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_SAMPLE_BUFFERS_GTYPE

    #define GST_GL_CONFIG_ATTRIB_SAMPLE_BUFFERS_GTYPE G_TYPE_INT

The GType of the 'sample-buffers' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_STENCIL_SIZE_GTYPE

    #define GST_GL_CONFIG_ATTRIB_STENCIL_SIZE_GTYPE G_TYPE_INT

The GType of the 'stencil-size' field.

Since : 1.20

### GST_GL_CONFIG_ATTRIB_SURFACE_TYPE_GTYPE

    #define GST_GL_CONFIG_ATTRIB_SURFACE_TYPE_GTYPE GST_TYPE_GL_CONFIG_SURFACE_TYPE

The GType of the 'surface-type' field.

Since : 1.20

### GST_GL_CONFIG_STRUCTURE_NAME

    #define GST_GL_CONFIG_STRUCTURE_NAME "gst-gl-context-config"

The canonical name of a GstStructure that contains a configuration for a GstGLContext.

Since : 1.20

### GstGL.GL_CONFIG_STRUCTURE_NAME

The canonical name of a Gst.Structure that contains a configuration for a GstGL.GLContext.

Since : 1.20

### GstGL.GL_CONFIG_STRUCTURE_NAME

The canonical name of a Gst.Structure that contains a configuration for a GstGL.GLContext.

Since : 1.20

The results of the search are